﻿using UnityEngine;
using System.Collections;

public class Chest : MonoBehaviour {

    public GameObject toRelease;
    public AudioClip impact;
    bool isOpen = false;
    float time = -1;
	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
        if (time > 0 && Time.time > time && toRelease != null)
            toRelease.SetActive(true);
	}

    void OnTriggerEnter2D(Collider2D coll)
    {
        if (coll.gameObject.tag == "Player")
        {
            if (impact != null && !isOpen)
                audio.PlayOneShot(impact, 0.7f);
            GetComponent<Animator>().SetBool("open", true);
            //toRelease.SetActive(true);
            time = Time.time + 0.2f;
            isOpen = true;
        }
    }

}
