﻿using UnityEngine;
using System.Collections;

public class SellEvent : MonoBehaviour {
    CharacterController cc;
    public GameObject[] toEnable;
    public AudioClip impact;
    float time = -1;
    int index = 0;
    int waiting = 6;
	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
        if (time > 0 && Time.time > time)
        {
            toEnable[index++].SetActive(false);
            if (index < toEnable.Length)
            {
                toEnable[index].SetActive(true);
                time = Time.time + waiting;
            }
            else
            {
                cc.enabled = true;
                Destroy(this.gameObject);
            }
        }
	}

    void OnTriggerEnter2D(Collider2D other)
    {
        if (time < 0 && other.gameObject.tag == "Player")
        {
            toEnable[index].SetActive(true);
            time = Time.time + waiting;
            cc = other.GetComponent<CharacterController>();
            cc.Stop();
            cc.enabled = false;
            if (impact != null)
                audio.PlayOneShot(impact, 0.7f);
        }
    }
}
