﻿using UnityEngine;
using System.Collections;

public class TalkingLevel : MonoBehaviour {

    public string[] toSay;
    LevelUp cc;
    bool activate = false;
    int index = 0;
    int oldIndex = -1;
    public TextMesh text;
    public Behaviour toActivate;
    public Behaviour toDesactivate;
    public GameObject toEnable;
    public GameObject toDesable;
	// Use this for initialization
	void Start () {
	}
	
	// Update is called once per frame
	void Update () {
        if (activate && index < toSay.Length)
        {
            if (oldIndex != index)
                text.text = toSay[index];
            oldIndex = index;
            if (Input.GetKeyDown(KeyCode.Space))
                index++;
        }
        else if (index >= toSay.Length)
        {
            text.text = "";
            cc.enabled = true;
            cc.canLevel = true;
            if (toActivate != null)
                toActivate.enabled = true;
            if (toDesactivate != null)
                toDesactivate.enabled = false;
            if (toEnable != null)
                toEnable.SetActive(true);
            if (toDesable != null)
                toDesable.SetActive(false);
            Destroy(this.gameObject);
        }
	}

    void OnTriggerEnter2D(Collider2D other)
    {
        if (activate == false && other.gameObject.tag == "Player")
        {
            activate = true;
            cc = other.GetComponent<LevelUp>();
            cc.Stop();
            cc.enabled = false;
        }
    }
}
